package com.cloudcross.ssp.service;



import java.util.List;
import java.util.Map;

import com.cloudcross.ssp.model.Audit;
import com.cloudcross.ssp.base.service.IGenericService;


public interface IAuditService extends IGenericService<Audit>{
	
	//用状态和搜索条件查找广告主
	public int countByStatus(Map<String, Object> paramMap);
	
	public List<Audit> findByStatus(Map<String, Object> paramMap);

	public long findByName(String name);
	
	public boolean updateCheckStatus(Map<String, Object> paramMap);
	//导出Excel用
	public List<Audit> findDeliverEffectAnalysis(Map<String, Object> paramMap);
	
}
